Loading...
Searching...
No Matches
mdns_outpacket Struct Reference

`#include <mdns_priv.h>`

## Data Fields

struct pbuf * | pbuf
u16_t | write_offset
u16_t | questions
u16_t | answers
u16_t | authoritative
u16_t | additional
u16_t | domain_offsets [10]

## Detailed Description

mDNS output packet

## Field Documentation

## additional

u16_t mdns_outpacket::additional

Number of additional answers written

## answers

u16_t mdns_outpacket::answers

Number of normal answers written

## authoritative

u16_t mdns_outpacket::authoritative

Number of authoritative answers written

## domain_offsets

u16_t mdns_outpacket::domain_offsets[10]

Offsets for written domain names in packet. Used for compression

## pbuf

struct pbuf* mdns_outpacket::pbuf

Packet data

## questions

u16_t mdns_outpacket::questions

Number of questions written

## write_offset

u16_t mdns_outpacket::write_offset

Current write offset in packet

The documentation for this struct was generated from the following file:

- src/include/lwip/apps/mdns_priv.h